목차

Wwise 통합 패키지를 새로운 버전으로 업데이트/업그레이드하기

Warning.gif
경고: 권장 사항
  • Unity 마이그레이션 작업은 되돌릴 수 없습니다. 작업을 진행하기 전에 Unity 프로젝트를 백업하세요.
  • Unity 프로젝트가 소스 컨트롤 안에 있을 경우 마이그레이션을 시작하기 전에 Unity 프로젝트 전체를 체크 아웃하세요. 그렇지 않으면 파일을 성공적으로 변경할 수 없기 때문에 마이그레이션이 실패하게 됩니다.
  • Wwise 통합을 설치하기 전에 먼저 Unity 프로젝트가 오류 없이 성공적으로 컴파일할 수 있는 상태인지 확인하세요. (경고 메시지는 괜찮습니다.)
  • C++ AkSoundEngine 플러그인 소스 코드에서 C++ Wwise SDK를 변경했을 경우 플러그인의 C++ 코드를 변경한 경우 Wwise Integration 패키지를 새로운 버전으로 업데이트/업그레이드 하기 에 열거된 지시에 따라주세요.

설치 과정은 Unity 프로젝트가 이전의 Wwise Integration 패키지를 이미 담고 있다고 가정합니다. 새로운 설치의 경우 Wwise 통합 패키지 최초 설치 페이지를 참조하세요. 다른 Unity 플러그인과는 달리 Wwise Integration 패키지를 새로운 버전으로 업데이트하려면 이전의 패키지 버전을 설치한 채로 놔두어야 합니다. Wwise Launcher는 새로운 기능과 버그 수정을 설치한 후 이전의 Wwise Integration을 새로운 버전으로 마이그레이션합니다.

Warning.gif
경고: 새로운 Wwise Integration을 설치하기 전에 이전 버전을 삭제하지 마세요. 삭제할 경우 Wwise 오디오를 게임에 통합해온 모든 작업을 잃게 됩니다.

업그레이드는 두 단계로 실행됩니다. 먼저 Wwise 프로젝트를 사용하고자 하는 새로운 버전으로 업데이트하세요 그런 다음 Unity 프로젝트도 마찬가지로 업그레이드하세요.

Wwise 프로젝트를 새로운 버전으로 업데이트하기

  1. Unity에 사용하고자 하는 새로운 Wwise Integration 패키지와 대응하는 Wwise 버전을 실행하세요.
  2. Wwise 프로젝트를 여세요.
  3. Wwise 프로젝트를 새로운 버전으로 업데이트하라는 메시지가 뜨면 'Yes'라고 답하세요.
  4. 업데이트가 끝나면 Unity 프로젝트를 새로운 Wwise 버전으로 업데이트한 후에 사용할 수 있게 Wwise SoundBank를 재생성하세요.

Unity 프로젝트를 새로운 Wwise 버전으로 업데이트하기

Unity 프로젝트를 새로운 Wwise 버전으로 업데이트하는 작업은 Wwise Launcher에 의해 처리됩니다.

생성시간 : Thu May 9 21:19:03 2019, 프로젝트명 : Wwise Unity Integration, 생성자 :   doxygen 1.6.3